#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           ksanecore
Summary:        Library that provides a Qt interface for the SANE library for scanner hardware
Version: 23.04.3
Release:        %mkrel %rel
Group:          Graphical desktop/KDE
License:        GPLv2
Url:            https://www.kde.org
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)

BuildRequires:  cmake(KF5I18n)

BuildRequires:  pkgconfig(sane-backends)

%description
KSaneCore is a library that provides a Qt interface for the
SANE library for scanner hardware.

%files -f %name.lang

#------------------------------------------------------------------------------

%define ksanecore_major 1
%define libksanecore %mklibname ksanecore %ksanecore_major

%package -n     %{libksanecore}
Summary:        %name library
Group:          System/Libraries
Provides:       ksanecore = %version-%release
Requires:       %name >= %version

%description -n %{libksanecore}
KSaneCore is a library that provides a Qt interface for the
SANE library for scanner hardware.

%files -n %{libksanecore}
%_kf5_libdir/libKSaneCore.so.%{ksanecore_major}{,.*}
%_kf5_libdir/libKSaneCore.so.23*

#------------------------------------------------------------------------------

%define libksanecore_devel %mklibname ksanecore -d

%package -n     %{libksanecore_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libksanecore = %version-%release
Provides:       %name-devel = %version-%release

%description -n %{libksanecore_devel}
KSaneCore is a library that provides a Qt interface for the
SANE library for scanner hardware.

This package contains header files needed if you wish to build applications
based on %name.

%files -n %{libksanecore_devel}
%_includedir/KSaneCore/
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KSaneCore/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-kde --with-html


%changelog
* Thu Aug 31 2023 neoclust <neoclust> 23.04.3-1.mga9
+ Revision: 1982534
- New version 23.04.3

* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958337
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946551
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941844
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922965
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911460
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905311
- New version 22.08.3
- New version 22.08.1

* Tue Aug 30 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1882371
- imported package ksanecore

